# Uses of Class
java.util.jar.JarFile

Packages that use JarFile
Package
Description
java.lang.instrument
Provides services that allow Java programming language agents to instrument programs running on the Java Virtual Machine (JVM).
java.net
Provides the classes for implementing networking applications.

## Uses of JarFile in java.lang.instrument

Methods in java.lang.instrument with parameters of type JarFile
Modifier and Type
Method
Description
`void`
Instrumentation.`appendToBootstrapClassLoaderSearch(JarFile jarfile)`
Specifies a JAR file with instrumentation classes to be defined by the bootstrap class loader.
`void`
Instrumentation.`appendToSystemClassLoaderSearch(JarFile jarfile)`
Specifies a JAR file with instrumentation classes to be defined by the system class loader.

## Uses of JarFile in java.net

Methods in java.net that return JarFile
Modifier and Type
Method
Description
`abstract JarFile`
JarURLConnection.`getJarFile()`
Return the JAR file for this connection.